org.vertx.java.core.eventbus

## Class Message<T>

- java.lang.Object
- - org.vertx.java.core.eventbus.Message<T>

    public abstract class Message<T>
    extends java.lang.Object

Represents a message on the event bus.

### Field Summary

Fields
`T` `body` The body of the message
`java.lang.String` `replyAddress` The reply address (if any)

### Constructor Summary

Constructors
`protected` `Message()`

### Method Summary

Methods
`void` `reply()` Same as `reply(T message)` but with an empty body
`void` `reply(T message)` Reply to this message.
`abstract void` `reply(T message, Handler<Message<T>> replyHandler)` The same as `reply(T message)` but you can specify handler for the reply - i.e.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### body

    public T body

The body of the message

#### replyAddress

    public java.lang.String replyAddress

The reply address (if any)

### Constructor Detail

#### Message

    protected Message()

### Method Detail

#### reply

    public void reply()

Same as `reply(T message)` but with an empty body

#### reply

    public void reply(T message)

Reply to this message. If the message was sent specifying a reply handler, that handler will be called when it has received a reply. If the message wasn't sent specifying a receipt handler this method does nothing.

#### reply

    public abstract void reply(T message,
             Handler<Message<T>> replyHandler)

The same as `reply(T message)` but you can specify handler for the reply - i.e. to receive the reply to the reply.